// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	test the AbsorptionDataServer class
//
#include <iostream>
#include <cassert>
#include "CalServer.h"
#include "Ccf.h"
#include "FlareImageDataServer.h"

using namespace std;

/*
namespace {
bool isClose(double a, double b)
{
    return fabs(a)/fabs(b)-1. < 1.e-5;
}
}
*/

int main()
{
	//	setup the the Cal server
	const Xmm::Instrument instrument = Xmm::EMOS1;
	calServer.setInstrument(instrument);
	calServer.state()->ccd()->set(1);
	calServer.state()->filter()->set(Xmm::toFilter("Thin1"));

	//	get the FWCDataServer
	FlareImageDataServer *fds = 0; fds = calServer.getAtom(fds);
        string band="B3",filter="Thin1";
        cout<<band<<" "<<filter<<endl;
        const SImage mapv = fds->getFlareImage(band);
        float d34 = mapv[193][300];
        float d99 = mapv[350][149];
        cout<<" Flare image([0,0],[193,300],[350,149]): "<<mapv[0][0]<<" "<<mapv[193][300]<<" "<<mapv[350][149]<<endl;

        /*
        band="B5";filter="Medium";
        cout<<band<<" "<<filter<<endl;
	calServer.state()->filter()->set(Xmm::toFilter("Medium"));
        const SImage &map2 = fds->getFlareImage(band);
        cout<<" Flare image([0,0],[193,300],[350,149]): "<<map2[0][0]<<" "<<map2[193][300]<<" "<<map2[350][149]<<endl;

	calServer.state()->filter()->set(Xmm::toFilter("Thick"));
        filter="Thick";
        cout<<band<<" "<<filter<<endl;
         const SImage &map3 = fds->getFlareImage(band);
        cout<<" Flare image([0,0],[193,300],[350,149]): "<<map3[0][0]<<" "<<map3[193][300]<<" "<<map3[350][149]<<endl;

        // Test a failure mode
        band="XX";
        cout<<band<<" "<<filter<<endl;
        const SImage &map4 = fds->getFlareImage(band);

        */

	return 0;
}







