// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	test the EMOS redistribution retrieval
//
#include <iostream>
#include <cassert>
#include "CalServer.h"
#include "EffectiveAreaDataServer.h"
#include "Xmm.h"

using namespace std;


int main()
{
	//	setup the the Cal server
	const Xmm::Instrument instrument = Xmm::RGS1;
	calServer.setInstrument(instrument);
	calServer.state()->ccd()->set(1);
	calServer.state()->node()->set(RGScam::PRIMARY_NODE);
	STime date("2002-07-14T17:02:39");
	calServer.state()->exposureStartTime()->set( date);

	EffectiveAreaDataServer *effds = 0; effds = calServer.getAtom(effds);
	
	return 0;
}







